Bug 1276124 - Can't upgrade F21 -> F22
Can't upgrade F21 -> F22
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 15:16 EDT by Dave Close
Modified: 2015-12-02 13:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Close 2015-10-28 15:16:24 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
Build Identifier: 

Output below. This has been repeated several days.
====
[root@dsusim ~]# cat /etc/fedora-release
Fedora release 21 (Twenty One)

[root@dsusim ~]# fedup --clean
resetting bootloader config
removing boot images
removing downloaded packages
removing miscellaneous files

[root@dsusim ~]# yum update
Loaded plugins: langpacks
No packages marked for update

[root@dsusim ~]# fedup --network 22
setting up repos...
default-installrepo/metalink                            |  14 kB  00:00
default-installrepo                                     | 3.6 kB  00:00
default-installrepo/group_gz                            | 106 kB  00:04
default-installrepo/primary_db                          | 1.4 MB  00:37
fedora/22/x86_64/metalink                               |  14 kB  00:00
fedora/22/x86_64                                        | 3.8 kB  00:00
fedora/22/x86_64/group_gz                               | 230 kB  00:03
fedora/22/x86_64/primary_db                             |  18 MB  07:45
google-chrome                                           |  951 B  00:00
google-chrome/primary                                   | 1.8 kB  00:00
rpmfusion-free/22/x86_64                                | 3.0 kB  00:00
rpmfusion-free/22/x86_64/primary_db                     | 337 kB  00:04
rpmfusion-free-updates/22/x86_64                        | 3.0 kB  00:00
rpmfusion-free-updates/22/x86_64/primary_db             |  70 kB  00:02
rpmfusion-nonfree/22/x86_64                             | 3.0 kB  00:00
rpmfusion-nonfree/22/x86_64/primary_db                  | 101 kB  00:01
rpmfusion-nonfree-updates/22/x86_64                     | 3.0 kB  00:00
rpmfusion-nonfree-updates/22/x86_64/primary_db          |  29 kB  00:00
updates/22/x86_64/metalink                              |  13 kB  00:00
updates/22/x86_64                                       | 4.7 kB  00:00
updates/22/x86_64/group_gz                              | 230 kB  00:01
updates/22/x86_64/updateinfo                            | 814 kB  00:17
updates/22/x86_64/primary_db                            | 6.9 MB  02:32
getting boot images...
.treeinfo.signed                                        | 2.0 kB  00:00

Downloading failed: couldn't get boot images: No more mirrors to try.
Last error was: [Errno 14] HTTP Error 503 - Service Unavailable
====
Debuglog shows that fedup tried at least 34 systems.


Reproducible: Always

Steps to Reproduce:
1.fedup --network 22
2.
3.
Actual Results:  
Downloading failed: couldn't get boot images: No more mirrors to try.
Last error was: [Errno 14] HTTP Error 503 - Service Unavailable

Expected Results:  
Upgrade completes.

Details above.
Comment 1 Fedora End Of Life 2015-11-04 05:01:18 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Dave Close 2015-11-04 12:35:02 EST
Don't you think it a bit self-contradictory to say you won't fix a bug that prevents me from upgrading /because/ I should upgrade?
Comment 3 Fedora End Of Life 2015-12-02 10:48:16 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.